Class | Nokogiri::XML::SAX::ParserContext
In: | lib/nokogiri/xml/sax/parser_context.rb ext/nokogiri/xml_sax_push_parser.c
Parent: | Object

call-seq: column

Get the current column the parser context is processing.

### Methods

column file io line memory new parse_with replace_entities replace_entities=

### Public Class methods

parse_file(filename)

Parse file given `filename`

parse_io(io, encoding)

Parse `io` object with `encoding`

parse_memory(data)

Parse the XML stored in memory in `data`

new(thing, encoding = 'UTF-8')

### Public Instance methods

column

Get the current column the parser context is processing.

line

Get the current line the parser context is processing.

parse_with(sax_handler)

Use `sax_handler` and parse the current document

replace_entities

Should this parser replace entities? &amp; will get converted to ’&’ if set to true

replace_entities=(boolean)

Should this parser replace entities? &amp; will get converted to ’&’ if set to true

[Validate]